1. Appeals
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Reason Codes
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Webhook
    • On Status Change
  1. Appeals

Create Appeal

POST
/appeals

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appeals' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "transaction_id": "string",
    "amount": "string",
    "currency": "string",
    "metadata": {}
}'
Response Response Example
201 - Example 1
{
    "data": {
        "id": "string",
        "appeal_id": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "resolved": {
            "amount": "string",
            "currency": "string"
        },
        "attachments": {
            "id": "string",
            "type": "string",
            "filename": "string",
            "url": "string",
            "created_at": "string"
        },
        "status": "string",
        "created_at": "string",
        "updated_at": "string",
        "metadata": {}
    }
}
Previous
Cancel Payout
Next
List Appeals
Built with